var isCharVisible;
var isOutlineVisible;


var target = 'character-target-div';
var writerNormalLocal = function create(character,json) {
    return HanziWriter.create(target, character, {
        highlightColor:'#FFC910',
        onLoadCharDataSuccess: function(data) {
            console.log('Success!');
            LiteracyWriting.JSTransferToast('loadSuccess' + data)
        },
        onLoadCharDataError: function(reason) {
            console.log('Oh No! Something went wrong :(');
            LiteracyWriting.JSTransferToast('Error'+ reason)
        },
        charDataLoader: function() {
            return json;
        }
    });
}

var writerNetwork = function create(character) {
    return HanziWriter.create(target, character, {
        showCharacter: false,
    });
}


function printStrokePoints(data) {
    var pointStrs = data.drawnPath.points.map(point => `{x: ${point.x}, y: ${point.y}}`);
    console.log(`[${pointStrs.join(', ')}]`);
}

//通过JSON去加载汉字动画

function loadAnimateCharacterWithJSON(character,json) {
    writerNormalLocal(character,JSON.parse(json.toString())).animateCharacter()
}
//通过JSON去测验汉字
function quizCharacterWithJSON(character,json) {
    writerNormalLocal(character,JSON.parse(json.toString())).quiz({
      leniency:0.8,
      onMistake: function(strokeData) {
        LiteracyWriting.JSErrorDrawing('mistakeStroke')
        console.log('Oh no! you made a mistake on stroke ' + strokeData.strokeNum);
        console.log("You've made " + strokeData.mistakesOnStroke + " mistakes on this stroke so far");
        console.log("You've made " + strokeData.totalMistakes + " total mistakes on this quiz");
        console.log("There are " + strokeData.strokesRemaining + " strokes remaining in this character");
      },
      onCorrectStroke: function(strokeData) {
        LiteracyWriting.JSTransferToast('correctStroke')
        console.log('Yes!!! You got stroke ' + strokeData.strokeNum + ' correct!');
        console.log('You made ' + strokeData.mistakesOnStroke + ' mistakes on this stroke');
        console.log("You've made " + strokeData.totalMistakes + ' total mistakes on this quiz');
        console.log('There are ' + strokeData.strokesRemaining + ' strokes remaining in this character');
      },
      onComplete: function(summaryData) {
        LiteracyWriting.JSFinishDrawing('finishStrokes')
        console.log('You did it! You finished drawing ' + summaryData.character);
        console.log('You made ' + summaryData.totalMistakes + ' total mistakes on this quiz');
      }
    });
}

//通过网络加载
function loadAnimateCharacter(character) {
    
    writerNetwork(character).animateCharacter()
}
//通过网络加载
function quizCharacter(character) {
    writerNetwork(character).quiz({
      onMistake: function(strokeData) {
        LiteracyWriting.JSErrorDrawing('printHelloWorld')
        console.log('Oh no! you made a mistake on stroke ' + strokeData.strokeNum);
        console.log("You've made " + strokeData.mistakesOnStroke + " mistakes on this stroke so far");
        console.log("You've made " + strokeData.totalMistakes + " total mistakes on this quiz");
        console.log("There are " + strokeData.strokesRemaining + " strokes remaining in this character");
      },
      onCorrectStroke: function(strokeData) {
        LiteracyWriting.JSTransferToast('printHelloWorld')
        console.log('Yes!!! You got stroke ' + strokeData.strokeNum + ' correct!');
        console.log('You made ' + strokeData.mistakesOnStroke + ' mistakes on this stroke');
        console.log("You've made " + strokeData.totalMistakes + ' total mistakes on this quiz');
        console.log('There are ' + strokeData.strokesRemaining + ' strokes remaining in this character');
      },
      onComplete: function(summaryData) {
        LiteracyWriting.JSFinishDrawing('printHelloWorld')
        console.log('You did it! You finished drawing ' + summaryData.character);
        console.log('You made ' + summaryData.totalMistakes + ' total mistakes on this quiz');
      }
    });
}

function updateCharter() {
    
}
